<?php
/**
 * w3layouts Theme  Customizer
 *
 * @package w3layouts
 */

$w3layouts_Blog_settings=new w3layouts_Blog_customizer_settings();

class w3layouts_Blog_customizer_settings {
  // Get our default values
  // private $defaults;

  public function __construct() {
    // add_action( 'customize_register', array( $this, 'w3layouts_Blog_cust_register' ) );
    add_action('customize_register', array($this, 'w3layouts_Blogpage_panels'));

  }

  public function w3layouts_Blogpage_panels($wp_customize) {
    /**
 		 * Add our Header & Navigation Panel
 		 */
    $wp_customize->add_panel('BlogPage_panel',
      array('title'=> __('Blog Customize', 'w3layouts'),
        'priority'=> 30,
        'description'=> esc_html__('Custommize Blog Look and feel.', 'w3layouts')));

    
    $wp_customize->add_section('BlogHomePageSection',
      array('title'=> __('Section 1 Blog Page', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'BlogPage_panel'
      ));

    $wp_customize->add_section('BlogArticle',
      array('title'=> __('Section 4 Article Page', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'BlogPage_panel'
      ));
    $wp_customize->add_section('BlogComments',
      array('title'=> __('Section 5 Comments Section', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'BlogPage_panel'
      ));
    // $wp_customize->add_section( 'BlogPageCounterSection',
    // 	array(
    // 		'title' => __( 'Section 4 Counter', 'w3layouts' ),
    // 		'description' => esc_html__( '', 'w3layouts' ),
    // 		'panel' => 'BlogPage_panel'
    // 	)
    // );
    // $wp_customize->add_section( 'BlogPageTeamSection',
    // 	array(
    // 		'title' => __( 'Section 5 Team', 'w3layouts' ),
    // 		'description' => esc_html__( '', 'w3layouts' ),
    // 		'panel' => 'BlogPage_panel'
    // 	)
    // );
    // $wp_customize->add_section( 'BlogPageTestimonialSection',
    // 	array(
    // 		'title' => __( 'Section 6 Testimonial', 'w3layouts' ),
    // 		'description' => esc_html__( '', 'w3layouts' ),
    // 		'panel' => 'BlogPage_panel'
    // 	)
    // );
    //
    // $wp_customize->add_section( 'BlogPageCertiSection',
    // 	array(
    // 		'title' => __( 'Section 7 Certification', 'w3layouts' ),
    // 		'description' => esc_html__( '', 'w3layouts' ),
    // 		'panel' => 'BlogPage_panel'
    // 	)
    // );

    /** Blogpage Blog Posts Grid **/
    $wp_customize->add_setting('BlogHomePostsLayout',
    array('default'=> $this->defaults['BlogHomePostsLayout'],
      'transport'=> 'refresh',
      'sanitize_callback'=> 'skyrocket_radio_sanitization'
    ));
  $wp_customize->add_control(new Skyrocket_Image_Radio_Button_Custom_Control($wp_customize, 'BlogHomePostsLayout',
      array('label'=> __('Article Layout settings', 'w3layouts'),
        'description'=> esc_html__('with or without sidebar, left or right', 'w3layouts'),
        'section'=> 'BlogHomePageSection',
        'choices'=> array('sidebarleft'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-left.png',
            'name'=> __('LeftSidebar', 'w3layouts')),
          'sidebarnone'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-none.png',
            'name'=> __('NoSidebar', 'w3layouts')),
          'sidebarright'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-right.png',
            'name'=> __('RightSidebar', 'w3layouts'))))));
  $wp_customize->selective_refresh->add_partial('BlogHomePostsLayout', array('selector'=> 'div.BlogHomeLayout', // You can also select a css class
    ));
    
      /** Blog Article single page **/

      $wp_customize->add_setting('BlogSinglePostAuthorRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogSinglePostAuthorRequired',
        array('label'=> __('Author Required', 'w3layouts'),
          'section'=> 'BlogArticle',
          'settings'=> 'BlogSinglePostAuthorRequired'
        )));
        
      $wp_customize->add_setting('BlogSinglePostDateRequired',
        array('default'=> 1,
          'transport'=> 'refresh',
          'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
      $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogSinglePostDateRequired',
          array('label'=> __('Post Date Required', 'w3layouts'),
            'section'=> 'BlogArticle',
            'settings'=> 'BlogSinglePostDateRequired'
          )));      
      $wp_customize->selective_refresh->add_partial('BlogSinglePostDateRequired', array('selector'=> 'div.BlogSinglePost', // You can also select a css class
        ));

          
    /** Blog Single page section Starts **/

    $wp_customize->add_setting('BlogHomePageAuthRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageAuthRequired',
      array('label'=> __('Post Author Required', 'w3layouts'),
        'section'=> 'BlogHomePageSection',
        'settings'=> 'BlogHomePageAuthRequired'
      )));

    $wp_customize->add_setting('BlogHomePageDateRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageDateRequired',
      array('label'=> __('Post Date Required', 'w3layouts'),
        'section'=> 'BlogHomePageSection',
        'settings'=> 'BlogHomePageDateRequired'
      )));
    $wp_customize->selective_refresh->add_partial('BlogHomePageDateRequired', array('selector'=> 'div.BlogHomeLayout', // You can also select a css class
      ));

    $wp_customize->add_setting('BlogHomePageReadMoreRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogHomePageReadMoreRequired',
      array('label'=> __('Post Read More Required', 'w3layouts'),
        'section'=> 'BlogHomePageSection',
        'settings'=> 'BlogHomePageReadMoreRequired'
      )));
    

    $wp_customize->add_setting('BlogArticleAuthorCardRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogArticleAuthorCardRequired',
        array('label'=> __('Author Card Below Article', 'w3layouts'),
          'section'=> 'BlogArticle',
          'settings'=> 'BlogArticleAuthorCardRequired'
        )));
    $wp_customize->selective_refresh->add_partial('BlogArticleAuthorCardRequired', array('selector'=> 'div.w3ArticleAuth', // You can also select a css class
      ));

    // $wp_customize->add_setting( 'BlogTitleBelowCategory',
    //  array(
    //    'default' => 1,
    //      'transport' => 'refresh',
    //    'sanitize_callback' => 'skyrocket_switch_sanitization'
    //  )
    // );
    // $wp_customize->add_control( new Skyrocket_Toggle_Switch_Custom_control( $wp_customize, 'BlogTitleBelowCategory',
    //  array(
    //    'label' => __( 'Category Below Title', 'w3layouts' ),
    //    'section' => 'BlogArticle',
    //    'settings'   => 'BlogTitleBelowCategory'

    //  )
    // ) );

    // $wp_customize->add_setting('BlogDetailsLikes',
    //   array('default'=> 1,
    //     'transport'=> 'refresh',
    //     'sanitize_callback'=> 'skyrocket_switch_sanitization'
    //   ));
    // $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogDetailsLikes',
    //     array('label'=> __('Blog Likes', 'w3layouts'),
    //       'section'=> 'BlogArticle',
    //       'settings'=> 'BlogDetailsLikes'
    //     )));

    // $wp_customize->add_setting('BlogDetailsComments',
    //   array('default'=> 1,
    //     'transport'=> 'refresh',
    //     'sanitize_callback'=> 'skyrocket_switch_sanitization'
    //   ));
    // $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogDetailsComments',
    //     array('label'=> __('Comments', 'w3layouts'),
    //       'section'=> 'BlogArticle',
    //       'settings'=> 'BlogDetailsComments'
    //     )));

    // Artcle Layout Customization
    $wp_customize->add_setting('w3layoutsArticleLayout',
      array('default'=> $this->defaults['w3layoutsArticleLayout'],
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_radio_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Image_Radio_Button_Custom_Control($wp_customize, 'w3layoutsArticleLayout',
        array('label'=> __('Article Layout settings', 'w3layouts'),
          'description'=> esc_html__('with or without sidebar, left or right', 'w3layouts'),
          'section'=> 'BlogArticle',
          'choices'=> array('sidebarleft'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-left.png',
              'name'=> __('LeftSidebar', 'w3layouts')),
            'sidebarnone'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-none.png',
              'name'=> __('NoSidebar', 'w3layouts')),
            'sidebarright'=> array('image'=> trailingslashit(get_template_directory_uri()) . 'inc/customizer/images/sidebar-right.png',
              'name'=> __('RightSidebar', 'w3layouts'))))));
    $wp_customize->selective_refresh->add_partial('w3layoutsArticleLayout', array('selector'=> 'div.w3BlogLayout', // You can also select a css class
      ));


    /** Blogpage breadcrumbs section **/
    $wp_customize->add_setting('PostCommentSectionRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'PostCommentSectionRequired',
        array('label'=> __('Comments Required', 'w3layouts'),
          'section'=> 'BlogComments',
          'settings'=> 'PostCommentSectionRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('PostCommentSectionRequired', array('selector'=> 'div.w3PostComments', // You can also select a css class
      ));

    // $wp_customize->add_setting( 'sample_default_dropdownpages',
    //    array(
    //       'default' => '1548',
    //       'transport' => 'refresh',
    //       'sanitize_callback' => 'absint'
    //    )
    // );
    //
    // $wp_customize->add_control( 'sample_default_dropdownpages',
    //    array(
    //       'label' => __( 'Default Dropdown Pages Control' ),
    //       'description' => esc_html__( 'Sample description' ),
    //       'section' => 'BlogArticle',
    //       'priority' => 10, // Optional. Order priority to load the control. Default: 10
    //       'type' => 'dropdown-pages',
    //       'capability' => 'edit_theme_options', // Optional. Default: 'edit_theme_options'
    //    )
    // );


  }

}