<?php
/**
 * w3layouts Theme ContactUS page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Contact_settings=new w3layouts_Contact_customizer_settings();

class w3layouts_Contact_customizer_settings {
  // Get our default values
  // private $defaults;

  public function __construct() {
    // add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
    add_action('customize_register', array($this, 'w3layouts_Contactpage_panels'));



  }

  public function w3layouts_Contactpage_panels($wp_customize) {
    /**
     * Add our Header & Navigation Panel
     */
    $wp_customize->add_panel('ContactPage_panel',
      array('title'=> __('Contact Page Customize', 'w3layouts'),
        'priority'=> 30,
        'description'=> esc_html__('add and update Contact Page data.', 'w3layouts')));

    $wp_customize->add_section('ContactPageSection',
      array('title'=> __('Contact Page Section', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'ContactPage_panel'
      ));

    $wp_customize->add_section('ContactPageForm',
      array('title'=> __('Contact Page Form', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'ContactPage_panel'
      ));

    $wp_customize->add_section('ContactPageMap',
      array('title'=> __('Contact Page Map', 'w3layouts'),
        'description'=> esc_html__('', 'w3layouts'),
        'panel'=> 'ContactPage_panel'
      ));




    /** Contact page full section starts **/

    $wp_customize->add_setting('ContactPageRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageRequired',
        array('label'=> __('ContactUs Section required', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactPageRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('ContactPageRequired', array('selector'=> 'div.ContactSection', // You can also select a css class
      ));



    $wp_customize->add_setting('ContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactToEmail',
        array('label'=> __('Contact email address', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'ContactToEmail'
        )));

    $wp_customize->add_setting('ContactUsTitle', array('default'=> 'Contact us',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactUsTitle',
        array('label'=> __('Contact Us Title', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactUsTitle',
        )));



    /** Contactpage Details Required **/

    $wp_customize->add_setting('ContactDetailsRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactDetailsRequired',
        array('label'=> __('Contact Details Required', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactDetailsRequired'
        )));

    $wp_customize->add_setting('ContactPageAddressRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageAddressRequired',
        array('label'=> __('Contact Address required', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactPageAddressRequired'
        )));
    $wp_customize->add_setting('ContactPageAddressIcon', array('default'=> 'fa fa-map-marker',
      'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'ContactPageAddressIcon',
      array('label'=> __('ContactPage Location Icon', 'w3layouts'),
        'section'=> 'ContactPageSection',
        'settings'=> 'ContactPageAddressIcon'
      )));

    $wp_customize->add_setting('ContactAddressTitle', array('default'=> "Address:",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactAddressTitle',
        array('label'=> __('Contact Location Title', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactAddressTitle'
        )));

    $wp_customize->add_setting('ContactAddress', array('default'=> '4028 Maryland Avenue, 5604 Willow Crossing Ct, Clifton, Georgia VA, 20124.',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactAddress',
        array('label'=> __('Contact Address', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('ContactPageNumberRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageNumberRequired',
        array('label'=> __('Contact Number required', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactPageNumberRequired'
        )));

    $wp_customize->add_setting('ContactPagePhoneIcon', array('default'=> 'fa fa-phone',
      'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'ContactPagePhoneIcon',
      array('label'=> __('ContactPage Phone Icon', 'w3layouts'),
        'section'=> 'ContactPageSection',
        'settings'=> 'ContactPagePhoneIcon'
      )));

    $wp_customize->add_setting('ContactPhoneTitle', array('default'=> "Call us:",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPhoneTitle',
        array('label'=> __('Contact Phone Number Title', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactPhoneTitle'
        )));

    $wp_customize->add_setting('ContactNumber', array('default'=> '+44-123-456-78',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactNumber',
        array('label'=> __('Contact Phone Number', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactNumber'
        )));

    $wp_customize->add_setting('ContactNumberUrl', array('default'=> 'tel:+44-123-456-78',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactNumberUrl',
        array('label'=> __('Contact Phone Number URL', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactNumberUrl'
        )));

        $wp_customize->add_setting('ContactPageEmailRequired',
        array('default'=> 1,
          'transport'=> 'refresh',
          'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
      $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageEmailRequired',
          array('label'=> __('Email Address required', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactPageEmailRequired'
          )));
  
      $wp_customize->add_setting('ContactPageEmailIcon', array('default'=> 'fa fa-envelope-o',
        'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageEmailIcon',
        array('label'=> __('ContactPage Email Icon', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'settings'=> 'ContactPageEmailIcon'
        )));
        
      $wp_customize->add_setting('ContactEmailTitle', array('default'=> "Have any questions?",
          'transport'=> 'refresh',
        ));
  
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'ContactEmailTitle',
          array('label'=> __('Contact Email Title', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactEmailTitle'
          )));
  
      $wp_customize->add_setting('ContactOfficialMailtxt', array('default'=> 'noreply@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'ContactOfficialMailtxt',
          array('label'=> __('Contact MailID', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactOfficialMailtxt'
          )));
  
      $wp_customize->add_setting('ContactOfficialMailUrl', array('default'=> 'mailto:noreply@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'ContactOfficialMailUrl',
          array('label'=> __('Contact MailID URL', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactOfficialMailUrl'
          )));
  
      $wp_customize->add_setting('ContactSupportMailtxt', array('default'=> 'support@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'ContactSupportMailtxt',
          array('label'=> __('Contact Support MailID', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactSupportMailtxt'
          )));
  
      $wp_customize->add_setting('ContactSupportMailUrl', array('default'=> 'mailto:support@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'ContactSupportMailUrl',
          array('label'=> __('Contact Support MailID URL', 'w3layouts'),
            'section'=> 'ContactPageSection',
            'settings'=> 'ContactSupportMailUrl'
          )));





    // Contact Page top & bottom  textarea

    $wp_customize->add_setting('ContactPageTopArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageTopArea',
        array('label'=> __('Contact Top', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('ContactPageBottomArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageBottomArea',
        array('label'=> __('Contact Bottom', 'w3layouts'),
          'section'=> 'ContactPageSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    // Contact Page top & bottom  textarea



    /** Contactpage Form Required **/

    $wp_customize->add_setting('ContactPageFormRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageFormRequired',
        array('label'=> __('Contactpage Form Required', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormRequired'
        )));
    $wp_customize->selective_refresh->add_partial('ContactPageFormRequired', array('selector'=> 'div.ContactPageForm', // You can also select a css class
      ));



    $wp_customize->add_setting('ContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactToEmail',
        array('label'=> __('Contact email address', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'ContactToEmail'
        )));


    // $wp_customize->add_setting('ContactPageFormURL', array('default'=> 'https://app.hoverforms.com/SubmitForm/w3layouts',
    //     'transport'=> 'refresh', ));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    //     'ContactPageFormURL',
    //     array('label'=> __('Form Action URL', 'w3layouts'),
    //       'section'=> 'ContactPageForm',
    //       'settings'=> 'ContactPageFormURL',
    //     )));

    $wp_customize->add_setting('ContactPageFormName', array('default'=> 'w3lName',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormName',
        array('label'=> __('Name field Name', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormName',
        )));

    $wp_customize->add_setting('ContactPageFormNameplaceholder', array('default'=> 'Name',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormNameplaceholder',
        array('label'=> __('Name field Placeholder', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormNameplaceholder',
        )));


    $wp_customize->add_setting('ContactPageFormEmail', array('default'=> 'w3lSender',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormEmail',
        array('label'=> __('Email field Name', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormEmail',
        )));

    $wp_customize->add_setting('ContactPageFormEmailplaceholder', array('default'=> 'Email',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormEmailplaceholder',
        array('label'=> __('Email field Placeholder', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormEmailplaceholder',
        )));

    $wp_customize->add_setting('ContactPageFormSubject', array('default'=> 'w3lSubject',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormSubject',
        array('label'=> __('Subject field Name', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormSubject',

        )));
    $wp_customize->add_setting('ContactPageFormSubjectplaceholder', array('default'=> 'Subject',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormSubjectplaceholder',
        array('label'=> __('Subject field Placeholder', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormSubjectplaceholder',
        )));

    $wp_customize->add_setting('ContactPageFormMessage', array('default'=> 'w3lMessage',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormMessage',
        array('label'=> __('Message field Name', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormMessage',
        )));

    $wp_customize->add_setting('ContactPageFormMessageplaceholder', array('default'=> 'Message',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormMessageplaceholder',
        array('label'=> __('Message field Placeholder', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormMessageplaceholder',
        )));

    $wp_customize->add_setting('ContactPageFormBtn', array('default'=> 'Send Message',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageFormBtn',
        array('label'=> __('Button Name', 'w3layouts'),
          'section'=> 'ContactPageForm',
          'settings'=> 'ContactPageFormBtn',
        )));

    /** Contactpage Form Required **/

    /** Contact page full section ends **/



    /** Contact page Map starts **/

    $wp_customize->add_setting('ContactPageMapRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ContactPageMapRequired',
        array('label'=> __('Contact Map required', 'w3layouts'),
          'section'=> 'ContactPageMap',
          'settings'=> 'ContactPageMapRequired'
        )));
    $wp_customize->selective_refresh->add_partial('ContactPageMapRequired', array('selector'=> 'div.ContactPageMap', // You can also select a css class
      ));

    $wp_customize->add_setting('ContactPageMapURL', array('default'=> 'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387193.3059445135!2d-74.25986613799748!3d40.69714941774136!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!4m3!3e3!4m0!4m0!5e0!3m2!1sen!2sin!4v1570181661801!5m2!1sen!2sin',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageMapURL',
        array('label'=> __('Map URL', 'w3layouts'),
          'section'=> 'ContactPageMap',
          'settings'=> 'ContactPageMapURL',
        )));

    // Contact Page Map top & bottom  textarea

    $wp_customize->add_setting('ContactPageMapTopArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageMapTopArea',
        array('label'=> __('Contact Map Top', 'w3layouts'),
          'section'=> 'ContactPageMap',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('ContactPageMapBottomArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactPageMapBottomArea',
        array('label'=> __('Contact Map Bottom', 'w3layouts'),
          'section'=> 'ContactPageMap',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    // Contact Page Map top & bottom  textarea

    /** Contact page Map ends **/

  }

}